## colored 1.3.93

=== requirements.txt ===
# Python 2, 3
# Linux OS

=== debian/changelog ===
colored (1.3.93-2) unstable; urgency=medium

  [ Arthur Diniz ]
  * Upload to unstable.
  * Run wrap-and-sort.
  * debian/control: Added 'Rules-Requires-Root: no' in source stanza.
  * debian/copyright:
      - Added Ondřej Nový.
      - Changed license from MIT to Expat on Upstream and Packaging.
  * debian/docs: Created and linked with README.rst.
  * debian/salsa-ci.yml: Created.
  * debian/watch: Fix regex.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 31 Oct 2019 16:28:30 -0300

colored (1.3.93-1) experimental; urgency=medium

  * Initial release. (Closes: #932142)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 15 Jul 2019 14:18:46 -0400

=== debian/control ===
Source: colored
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Arthur Diniz <arthurbdiniz@gmail.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-colored
Vcs-Git: https://salsa.debian.org/python-team/modules/python-colored.git
Homepage: https://gitlab.com/dslackw/colored
Testsuite: autopkgtest-pkg-python

Package: python3-colored
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: simple library for coloring and formatting in terminal
 Collection of color codes and names for 256 color terminal setups.
 The following is a list of 256 colors for Xterm, containing an example
 of the displayed color, Xterm Name, Xterm Number and HEX.

## colored 1.4.2

=== requirements.txt ===
# Python 2, 3
# Linux, Windows OS

=== debian/changelog ===
colored (1.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Arthur Diniz ]
  * New upstream version 1.4.2
  * debian/control: Declare compliance with debian policy 4.5.1

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 13 Jan 2021 00:19:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: colored
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Arthur Diniz <arthurbdiniz@gmail.com>,
 Build-Depends:
@@ -9,10 +9,10 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-colored
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-colored.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colored
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-colored.git
 Homepage: https://gitlab.com/dslackw/colored
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=4
https://gitlab.com/dslackw/colored/-/tags .*/archive/.*/colored-v?@ANY_VERSION@@ARCHIVE_EXT@

## colored 2.2.3

=== debian/changelog ===
colored (2.2.3-1) unstable; urgency=medium

  * Team upload.

  [ AdneMoretti ]
  * New upstream version 2.2.3.

  [ Leonardo Milomes Vitoriano ]
  * d/control: Add pybuild-plugin-pyproject to Build-Depends.
  * d/control: Bump Standards-Version to 4.6.2

 -- Leonardo Milomes Vitoriano <leonardomilov@gmail.com>  Fri, 06 Oct 2023 09:30:42 -0300

colored (1.4.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:55:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Uploaders:
  Arthur Diniz <arthurbdiniz@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.1
+ pybuild-plugin-pyproject,
+ flit,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colored
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-colored.git

## colored 2.2.4

=== debian/changelog ===
colored (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4.
  * d/control: Bump Standards-Version to 4.7.0, no changes needed.
  * d/copyright: Update Arthur Diniz years to 2019-2024.
  * d/rules: Create py.typed PEP 561 marker file. (Closes: #1069668)
  * d/watch: Support GitLab new tag order.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 20 Aug 2024 21:58:57 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools,
  pybuild-plugin-pyproject,
  flit,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colored
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-colored.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python3

# Add py.typed PEP 561 marker file
# PEP 561: https://peps.python.org/pep-0561/
# Upstream Patch: https://gitlab.com/dslackw/colored/-/merge_requests/21
# Bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1069668
execute_before_dh_auto_configure:
	touch colored/py.typed

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/dslackw/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
